Error while installing new packages with GHC 7.4.1

Malcolm Wallace malcolm.wallace at
Wed Feb 29 11:09:14 CET 2012

On 29 Feb 2012, at 09:53, Antoras wrote:

> I updated my GHC version from 7.0.3 to 7.4.1. But after that GHC is unable to install some required packages.
> containers- (reinstall) changes: array- ->
> binary- (reinstall) changes: array- ->

I believe you can't rebuild packages that shipped as part of your install of ghc, including containers and binary.  The downgrade of the array package looks worrying too.  I think array- is shipped with ghc-7.4.1, so where did the dependency on array- come from?


More information about the Glasgow-haskell-users mailing list